# class RubyProf::CallInfoVisitor

### Public Class Methods

new(thread) click to toggle source

    # File lib/ruby-prof/call_info_visitor.rb, line 21
    def initialize(thread)
      @thread = thread
    end

### Public Instance Methods

visit(&block) click to toggle source

    # File lib/ruby-prof/call_info_visitor.rb, line 25
    def visit(&block)
      @thread.top_methods.each do |method_info|
        method_info.call_infos.each do |call_info|
          visit_call_info(call_info, &block)
        end
      end
    end